/* Copyright (c) 1988 Carrick Sean Casey. All rights reserved. */
/* $Id: sendpacket.c,v 1.8 2000/03/23 14:41:52 jwise Exp $ */

/* send a packet along a socket file descriptor */

#include <sys/types.h>
#include <sys/socket.h>
#include <stdio.h>
#include <errno.h>
#include "externs.h"

int	sendpacket(int, char *);

int
sendpacket(int s, char *pkt)
{
	int ret;
	int totlength;

	/* set up a sample packet for testing purposes */
	totlength = (unsigned char)*pkt + 1;

	if ((ret = send(s, pkt, totlength, 0)) < 0) {
		if (errno == EWOULDBLOCK)
			return(0);
		else if (errno == EPIPE)
			return(-2);
		else {
			/* DEBUG temorary fix */
			return(-2);
		}
	}
	if (ret != totlength)
		return(-1);
	return(1);
}
